summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-images
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-update-images')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images41
1 files changed, 28 insertions, 13 deletions
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index 072ca8c976e..6e4521cd415 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -33,6 +33,8 @@ makeinst=true
maketar=true
tar_all=true
tar_bin_only=false
+tar_devsource_only=false
+tar_extra_only=false
tar_source_only=false
quiet= # for passing to mkisofs
@@ -46,8 +48,10 @@ while test $# -gt 0; do
--notar) maketar=false;;
--quiet) quiet=-quiet;;
--target=*) target=`echo $1 | sed 's/.*=//'`;;
- --tar-bin-only) tar_all=false; makeinst=false; tar_bin_only=true;;
- --tar-source-only) tar_all=false; makeinst=false; tar_source_only=true;;
+ --tar-bin-only) tar_all=false; makeinst=false; tar_bin_only=true;;
+ --tar-devsource-only) tar_all=false; makeinst=false;tar_devsource_only=true;;
+ --tar-extra-only) tar_all=false; makeinst=false; tar_extra_only=true;;
+ --tar-source-only) tar_all=false; makeinst=false; tar_source_only=true;;
--version) echo "$0 for $NAME-$V ($D)"; exit 0;; # who cares ...
*) echo "$0: unknown option $1; try --help if you need it." >&2; exit 1;;
esac
@@ -191,37 +195,48 @@ MAKETAR ()
# remove old tarballs and checksums.
rm -f $target/$NAME-*.tar.*
- # make tar files based on the tree we are running out of.
- cd $master || exit 1
- do_tar $NAME-$D-extra \
+ # make tar files using the contents of the tree we are running out of.
+ if $tar_extra_only || $tar_all; then
+ cd $master || exit 1
+ do_tar $NAME-$D-extra \
LICENSE* README* autorun.inf *.html install* re* tl-* \
tlpkg/TeXLive tlpkg/translations tlpkg/tlpostcode
-
- cd $master || exit 1
- do_tar $NAME-$D-texmf texmf*
-
+ $tar_extra_only && return # for debugging
+ fi
+
+ # compiled binaries.
if $tar_bin_only || $tar_all; then
cd $master/bin || exit 1
do_tar $NAME-$D-bin *
$tar_bin_only && return
fi
+ # compilable sources.
if $tar_source_only || $tar_all; then
cd $master/../Build/source || exit 1
do_tar $NAME-$D-source *
$tar_source_only && return
fi
- # one more unusual case: the development sources, which we record in
- # the 00texlive.image (fake) package; see its .tlpsrc.
+ # development sources, which we record in the
+ # 00texlive.image (fake) package; see its .tlpsrc.
+ if $tar_devsource_only || $tar_all; then
+ cd $master || exit 1
+ do_tar $NAME-$D-devsource `$mydir/tlpfiles 00texlive.image`
+ $tar_devsource_only && return
+ fi
+
+ # the big tree; must have $tar_all if we get here.
cd $master || exit 1
- do_tar $NAME-$D-devsource `$mydir/tlpfiles 00texlive.image`
+ do_tar $NAME-$D-texmf texmf*
}
# main program.
-# Add our exact version to the release file.
+# Add our exact version to the release file. Ensure a line of its own,
+# although a blank line should already be there.
+rm -f /tmp/tluirt.txt
cp $master/release-texlive.txt /tmp/tluirt.txt
printf "\ntexlive-$D\n" >>$master/release-texlive.txt